Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations

QueryLoadBalancerServerGroup

QueryLoadBalancerServerGroup

GET/zstack/v1/load-balancers/servergroups
GET/zstack/v1/load-balancers/servergroups/{uuid}

Operation ID

QueryLoadBalancerServerGroup

Since

4.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The UUID of the server group.

    • name
      StringRequired

      The name of the server group.

    • description
      StringRequired

      The detailed description of the server group.

    • loadBalancerUuid
      StringRequired

      The load balancer UUID.

    • createDate
      TimestampRequired

      The time when the server group was created.

    • lastOpDate
      TimestampRequired

      The time when the server group was last modified.

    • listenerServerGroupRefs
      ListRequired

      See listenerServerGroupRefs.

      • id
        longRequired

        The resource ID.

      • listenerUuid
        StringRequired

        The listener UUID.

      • serverGroupUuid
        StringRequired

        The server group UUID.

      • createDate
        TimestampRequired

        The time when the listener was created.

      • lastOpDate
        TimestampRequired

        The time when the listener was last modified.

    • serverIps
      ListRequired

      See serverIps.

      • id
        longRequired

        The resource ID.

      • description
        StringRequired

        The detailed description of the IP address.

      • serverGroupUuid
        StringRequired

        The server group UUID.

      • ipAddress
        StringRequired

        The IP address.

      • weight
        LongRequired

        The weight.

      • status
        StringRequired

        The resource status.

      • createDate
        TimestampRequired

        The time when the was used.

      • lastOpDate
        TimestampRequired

        The time when the was last modified.

    • vmNicRefs
      ListRequired

      See vmNicRefs.

      • id
        LongRequired

        The resource ID.

      • serverGroupUuid
        StringRequired

        The server group UUID.

      • vmNicUuid
        StringRequired

        The VM NIC UUID.

      • weight
        LongRequired

        The weight.

      • status
        StringRequired

        The resource status.

      • createDate
        TimestampRequired

        The time when the NIC was added to the VM instance.

      • lastOpDate
        TimestampRequired

        The time when the NIC was last modified.